Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000006 [MyDNS-NG] Global feature always 2008-02-25 10:55 2008-11-15 11:26
Reporter howardwilkinson View Status public  
Assigned To howardwilkinson
Priority normal Resolution fixed  
Status closed   Product Version 1.2.7
Summary 0000006: Wildcard entries are not matching when there is more than one label!
Description When a wildcard entry is defined in the DB it only matches a single label. Thus items such as:

fred.us.example.com

will not match a wildcard

*.example.com

It does however match *.us.example.com even though this is not in a delegated zone.
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000014)
howardwilkinson (administrator)
2008-02-25 10:56

This should be fixed by matching the '.' when the delegation does not exist.

Delegated zones are a different problem.
(0000017)
howardwilkinson (administrator)
2008-03-05 16:55

Has been fixed in the 1.2.8 development line.
(0000020)
jorge (administrator)
2008-03-05 17:01

I'm closing this Howard.

- Issue History
Date Modified Username Field Change
2008-02-25 10:55 howardwilkinson New Issue
2008-02-25 10:55 howardwilkinson Status new => assigned
2008-02-25 10:55 howardwilkinson Assigned To => howardwilkinson
2008-02-25 10:56 howardwilkinson Note Added: 0000014
2008-02-25 17:17 jorge Issue Monitored: jorge
2008-03-05 16:55 howardwilkinson Status assigned => resolved
2008-03-05 16:55 howardwilkinson Fixed in Version => 1.2.8
2008-03-05 16:55 howardwilkinson Resolution open => fixed
2008-03-05 16:55 howardwilkinson Note Added: 0000017
2008-03-05 17:01 jorge Status resolved => closed
2008-03-05 17:01 jorge Note Added: 0000020
2008-03-05 17:13 jorge Status closed => resolved
2008-11-15 11:26 howardwilkinson Status resolved => closed


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker